<?php
class PatronBean {

  protected $PatronId;
  protected $Descripcion;
  protected $PatternLongDesc;
  protected $VisibleScreen;
  protected $ContextPreselect;
  protected $GuardarDatos;
  protected $FechaCreacion;
  protected $UsuarioCreacion;
  protected $FechaAcualizacion;
  protected $UsuarioActualizacion;
  
	protected $Mensaje;
	protected $Error;

  public function getPatronId(){
    return $this->PatronId;
  }
  public function setPatronId($vl){
    $this->PatronId = $vl;
  }

  public function getDescripcion(){
    return $this->Descripcion;
  }
  public function setDescripcion($vl){
    $this->Descripcion = $vl;
  }

  public function getPatternLongDesc(){
    return $this->PatternLongDesc;
  }
  public function setPatternLongDesc($vl){
    $this->PatternLongDesc = $vl;
  }

  public function getVisibleScreen(){
    return $this->VisibleScreen;
  }
  public function setVisibleScreen($vl){
    $this->VisibleScreen = $vl;
  }

  public function getContextPreselect(){
    return $this->ContextPreselect;
  }
  public function setContextPreselect($vl){
    $this->ContextPreselect = $vl;
  }

  public function getGuardarDatos(){
    return $this->GuardarDatos;
  }
  public function setGuardarDatos($vl){
    $this->GuardarDatos = $vl;
  }

  public function getFechaCreacion(){
    return $this->FechaCreacion;
  }
  public function setFechaCreacion($vl){
    $this->FechaCreacion = $vl;
  }

  public function getUsuarioCreacion(){
    return $this->UsuarioCreacion;
  }
  public function setUsuarioCreacion($vl){
    $this->UsuarioCreacion = $vl;
  }

  public function getFechaAcualizacion(){
    return $this->FechaAcualizacion;
  }
  public function setFechaAcualizacion($vl){
    $this->FechaAcualizacion = $vl;
  }

  public function getUsuarioActualizacion(){
    return $this->UsuarioActualizacion;
  }
  public function setUsuarioActualizacion($vl){
    $this->UsuarioActualizacion = $vl;
  }
  
	public function setMensaje($v){
	  $this->Mensaje = $v;
	}
	public function getMensaje(){
	  return $this->Mensaje;
	}
	
	public function setError($v){
	  $this->Error = $v;
	}
	public function getError(){
	  return $this->Error;
	}

}